#------------------------------------------------------------------------------#

# Import pyCAPS module
import pyCAPS

#------------------------------------------------------------------------------#

# Load geometry [.csm] file
# This parses the csm file, but does not build geometry
filename = "f118-A.csm"
print ('\n==> Loading geometry from file "'+filename+'"...')
capsProblem = pyCAPS.Problem(problemName = "design_f118",
                             capsFile = filename,
                             outLevel = 1)

# capsProblem.geometry is a class representing bodies on the stack
# Build and view the geometry with ESP
print ('\n==> Bulding and viewing geometry...')
capsProblem.geometry.view()
